summaryrefslogtreecommitdiffstats
path: root/development/cc65
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-11 22:53:28 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:28 +0200
commita1579f660ef80883745827ec5e3954175e30d8eb (patch)
treefcfe38814b69fd85f75655d0d2fd99fa762660b6 /development/cc65
parent2f08662b5b525fbbb56a806bb7f9212f55e87c92 (diff)
downloadslackbuilds-a1579f660ef80883745827ec5e3954175e30d8eb.tar.gz
slackbuilds-a1579f660ef80883745827ec5e3954175e30d8eb.tar.xz
development/cc65: Added to 12.1 repository
Diffstat (limited to 'development/cc65')
-rw-r--r--development/cc65/README7
-rw-r--r--development/cc65/cc65.SlackBuild59
-rw-r--r--development/cc65/cc65.info8
-rw-r--r--development/cc65/slack-desc19
4 files changed, 93 insertions, 0 deletions
diff --git a/development/cc65/README b/development/cc65/README
new file mode 100644
index 0000000000..bf08c187db
--- /dev/null
+++ b/development/cc65/README
@@ -0,0 +1,7 @@
+cc65 is a complete cross development package for 65(C)02 systems,
+including a powerful macro assembler, a C compiler, linker, librarian
+and several other tools.
+
+Supported targets include the Atari 400/800/XL/XE computers, the Atari Lynx
+console, the Commodore PET/VIC/64/16/Plus4, the Nintendo NES, the Apple II,
+and others.
diff --git a/development/cc65/cc65.SlackBuild b/development/cc65/cc65.SlackBuild
new file mode 100644
index 0000000000..91d7b854c9
--- /dev/null
+++ b/development/cc65/cc65.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for cc65
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=cc65
+VERSION=${VERSION:-2.12.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT $PKG/usr/doc/$PRGNAM-$VERSION
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-sources-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# external CFLAGS not honored, fix 'em with perlery:
+find . -name gcc.mak | xargs perl -i -pe \
+ 'if(/^CFLAGS\s*=/) { s/-g\b//; s/-O\d/'"$SLKCFLAGS"'/; }'
+
+make -f make/gcc.mak prefix=/usr
+make -f make/gcc.mak install prefix=$PKG/usr docdir=$PKG/usr/doc/$PRGNAM-$VERSION
+
+# binaries already stripped, no man/info pages
+
+# easier to cleanup afterwards than force 'make install' to do the docs right:
+( cd $PKG/usr/doc/$PRGNAM-$VERSION && mv cc65/* . && rmdir cc65 )
+
+rmdir $PKG/usr/share # why is this even created? *shrug*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/cc65/cc65.info b/development/cc65/cc65.info
new file mode 100644
index 0000000000..7fc2f34ac9
--- /dev/null
+++ b/development/cc65/cc65.info
@@ -0,0 +1,8 @@
+PRGNAM="cc65"
+VERSION="2.12.0"
+HOMEPAGE="http://cc65.org"
+DOWNLOAD="ftp://ftp.musoftware.de/pub/uz/cc65/cc65-sources-2.12.0.tar.bz2"
+MD5SUM="bd6d194a489334164a0fc383d1e12acc"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/development/cc65/slack-desc b/development/cc65/slack-desc
new file mode 100644
index 0000000000..0ca3e53ce7
--- /dev/null
+++ b/development/cc65/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+cc65: cc65 (a complete cross development package for 65(C)02 systems)
+cc65:
+cc65: cc65 is a complete cross development package for 65(C)02 systems,
+cc65: including a powerful macro assembler, a C compiler, linker,
+cc65: librarian and several other tools.
+cc65:
+cc65: Supported targets include the Atari 400/800/XL/XE computers, the
+cc65: Atari Lynx console, the Commodore PET/VIC/64/16/Plus4, the Nintendo
+cc65: NES, the Apple II, and others.
+cc65:
+cc65: